## plank-player 5.27.10+p24.04+vunstable+git20251020.0247

=== debian/changelog ===
plank-player (5.27.10+p24.04+vunstable+git20251020.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:47:32 +0000
