## plank-player 5.27.10+p24.04+vunstable+git20260123.0344

=== debian/changelog ===
plank-player (5.27.10+p24.04+vunstable+git20260123.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:44:38 +0000
