=== debian/control ===
Source: plank-player
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma-bigscreen/plank-player
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plank-player.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plank-player
Maintainer: Neon CI <neon@kde.org>

Package: plank-player
Architecture: any
Depends: kf6-plasma-framework,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Bigscreen
 Plasma for your television
